Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(140)

Issue 37283002: Drop NotEnumerable for the on* event handler IDL attributes (again) (Closed)

Created:
5 years, 3 months ago by philipj_slow
Modified:
5 years, 3 months ago
CC:
blink-reviews, dglazkov+blink, Inactive, adamk+blink_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Drop NotEnumerable for the on* event handler IDL attributes (again) The previous commit (r159721) intended to remove all of the NotEnumerable attributes, but missed these. BUG=305112 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=160536

Patch Set 1 #

Patch Set 2 : tests #

Patch Set 3 : #

Patch Set 4 : rm redundant test #

Unified diffs Side-by-side diffs Delta from patch set Stats (+255 lines, -119 lines) Patch
A LayoutTests/fast/dom/body-frameset-event-handlers.html View 1 1 chunk +23 lines, -0 lines 0 comments Download
A LayoutTests/fast/dom/body-frameset-event-handlers-expected.txt View 1 1 chunk +32 lines, -0 lines 0 comments Download
M LayoutTests/fast/dom/global-event-handlers.html View 1 2 chunks +3 lines, -67 lines 0 comments Download
A LayoutTests/fast/dom/script-tests/event-handlers.js View 1 1 chunk +78 lines, -0 lines 0 comments Download
A LayoutTests/fast/dom/window-event-handlers.html View 1 1 chunk +28 lines, -0 lines 0 comments Download
A LayoutTests/fast/dom/window-event-handlers-expected.txt View 1 1 chunk +41 lines, -0 lines 0 comments Download
M LayoutTests/fast/forms/form-request-autocomplete.html View 1 2 1 chunk +8 lines, -10 lines 0 comments Download
M LayoutTests/fast/forms/form-request-autocomplete-expected.txt View 1 2 1 chunk +3 lines, -3 lines 0 comments Download
M Source/core/html/HTMLBodyElement.idl View 1 chunk +18 lines, -18 lines 0 comments Download
M Source/core/html/HTMLFormElement.idl View 1 chunk +2 lines, -2 lines 0 comments Download
M Source/core/html/HTMLFrameSetElement.idl View 1 chunk +18 lines, -18 lines 0 comments Download
M Source/core/html/HTMLInputElement.idl View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 12 (0 generated)
philipj_slow
ptal
5 years, 3 months ago (2013-10-23 13:52:09 UTC) #1
abarth-chromium
Test?
5 years, 3 months ago (2013-10-23 18:30:56 UTC) #2
philipj_slow
On 2013/10/23 18:30:56, abarth wrote: > Test? Yes! This should cover everything except those few ...
5 years, 3 months ago (2013-10-23 20:36:20 UTC) #3
abarth-chromium
lgtm Thanks for the tests!
5 years, 3 months ago (2013-10-24 14:06:57 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/philipj@opera.com/37283002/50001
5 years, 3 months ago (2013-10-24 14:07:24 UTC) #5
commit-bot: I haz the power
Retried try job too often on linux_blink_rel for step(s) webkit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_blink_rel&number=9578
5 years, 3 months ago (2013-10-24 15:29:12 UTC) #6
philipj_slow
On 2013/10/24 14:06:57, abarth wrote: > lgtm > > Thanks for the tests! I had ...
5 years, 3 months ago (2013-10-24 19:15:35 UTC) #7
abarth-chromium
Sounds good. LGTM
5 years, 3 months ago (2013-10-24 20:43:46 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/philipj@opera.com/37283002/450001
5 years, 3 months ago (2013-10-24 20:47:49 UTC) #9
commit-bot: I haz the power
Retried try job too often on win_blink_rel for step(s) webkit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=win_blink_rel&number=13666
5 years, 3 months ago (2013-10-24 21:55:54 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/philipj@opera.com/37283002/450001
5 years, 3 months ago (2013-10-25 03:33:39 UTC) #11
commit-bot: I haz the power
5 years, 3 months ago (2013-10-25 04:27:05 UTC) #12
Message was sent while issue was closed.
Change committed as 160536

Powered by Google App Engine
This is Rietveld 408576698